/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

var platform = "%PLATFORM%";
var buildOptions = JSON.parse('%BUILD_OPTIONS%');
function createBrowserWindow(options) {
    if (options === void 0) { options = {}; }
    // @ts-ignore
    var win = new BrowserWindow(__assign({ icon: buildOptions.icon.path }, options));
    win.loadURL("file://" + __dirname + "/index.html");
    win.webContents.on('did-finish-load', function () {
        win.webContents.send('window-id', win.id);
    });
    return win;
}

export { buildOptions, createBrowserWindow, platform };
